%********************************************************************
%GETDAT...1
%CTENI VSTUPNICH DAT

load uzel.dat;	%	Cte data spojena s uzly

%	rozdeleni do jednotlivych vektoru dle formatu dat:
Iuzel=uzel(:,1);%	cislo uzlu - kontinualne
UN=uzel(:,2);	%	jmenovite vztazne napeti
UW=uzel(:,3);	%	zadane napeti v p.u.
TU=uzel(:,4);	%	typ uzlu -1 PQ, 2 PU, 3 slack
PL=uzel(:,5)/SBase;		%	PL cinny vykon odber v MW
QL=uzel(:,6)/SBase;		%	QL jalovy vykon odber v MVAr
GL=uzel(:,7)/SBase;	%	GL cinny vykon, dodavka v MW
BL=uzel(:,8)/SBase;	%	BL jalovy vykon, dodavka v MVAr
ZBase=(UN .*UN)/SBase;  % Vztazna impedance

PW=GL-PL;% pozadovane uzlove bilance P
QW=BL-QL;% pozadovane uzlove bilance Q

load vetev.dat %	Cte data spojena s vedenimi a transformatory

%ZU ma vyssi napeti,je u nej T.	Format dat:
Ivetev=vetev(:,1);%	cislo vetve-kontinualne
ZU=vetev(:,2);	%	cislo zacatecniho uzlu
KU=vetev(:,3);	%	cislo koncoveho uzlu
R=vetev(:,4);	%	odpor vetve v ohm k ZU
X=vetev(:,5);	%	reaktance vetve v ohm k ZU
B=vetev(:,6);	%	susceptance v S k ZU
T=vetev(:,7);	%  prevod u zacatecniho uzlu v p.u.
R=R ./ZBase(ZU); X=X ./ZBase(ZU); B=B .*ZBase(ZU)*1E-06;% prepocet do p.u.

NU=size(Iuzel,1);			% Celkovy pocet uzlu
NV=size(Ivetev,1);			% Celkovy pocet vetvi
clear uzel; clear vetev; % Mazani nepotrebnych vstupnich matic
%******************************************************************